import { EventEmitter } from '@angular/core';
import { BaseDirective } from '../../base.directive';
import { EuiActionIconEvent, EuiMenuItem } from './models/eui-menu-item.model';
import * as i0 from "@angular/core";
export declare class EuiMenuItemComponent extends BaseDirective {
    item: EuiMenuItem;
    hasIcon: boolean;
    hasTooltip: boolean;
    isCollapsed: boolean;
    expandToggled: EventEmitter<EuiMenuItem>;
    clicked: EventEmitter<EuiMenuItem>;
    actionIconClicked: EventEmitter<EuiActionIconEvent>;
    externalLinkLabel: string;
    expandMenuLabel: string;
    collapseMenuLabel: string;
    constructor();
    get cssClasses(): string;
    stopPropagation(event: MouseEvent): void;
    onClick(event: any): void;
    onExpandToggle(event: any): void;
    onActionIconClick(event: Event): void;
    static ɵfac: i0.ɵɵFactoryDef<EuiMenuItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<EuiMenuItemComponent, "eui-menu-item", never, { "item": "item"; "hasIcon": "hasIcon"; "hasTooltip": "hasTooltip"; "isCollapsed": "isCollapsed"; }, { "expandToggled": "expandToggled"; "clicked": "clicked"; "actionIconClicked": "actionIconClicked"; }, never, ["*"]>;
}
